#ifndef VDR_AUDIO_THREAD_H
#define VDR_AUDIO_THREAD_H

#include <vdr/thread.h>

// --- cConvertToAudioThread----------------------------------------------------
class cConvertToAudioThread: public cThread {
    static cRecording* recording;
    bool cutafterconversion;
 protected:
    virtual void Action(void);
 public:
    static cConvertToAudioThread *m_Instance;
    static int progress;

    cConvertToAudioThread(cRecording* Recording, bool Cutafterconversion);
    virtual ~cConvertToAudioThread();
    static void Init(cRecording* Recording, bool Cutafterconversion = false);
    static void Exit(void);
    void Stop(void);
};

#endif
